aboutsummaryrefslogtreecommitdiffstats
path: root/pc/mkinstal.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pc/mkinstal.sh')
-rw-r--r--pc/mkinstal.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/pc/mkinstal.sh b/pc/mkinstal.sh
new file mode 100644
index 00000000..f5e45f33
--- /dev/null
+++ b/pc/mkinstal.sh
@@ -0,0 +1,33 @@
+#! /bin/sh
+# mkinstalldirs --- make directory hierarchy
+# Author: Noah Friedman <friedman@prep.ai.mit.edu>
+# Created: 1993-05-16
+# Last modified: 1994-03-25
+# Public domain
+
+errstatus=0
+
+for file in ${1+"$@"} ; do
+ #set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
+ set fnord `echo "$file" | sed 's/\([^:]\)\//\1 /g'`
+ shift
+
+ pathcomp=
+ for d in ${1+"$@"} ; do
+ pathcomp="$pathcomp$d"
+ case "$pathcomp" in
+ -* ) pathcomp=./$pathcomp ;;
+ esac
+
+ if test ! -d "$pathcomp"; then
+ echo "mkdir $pathcomp" 1>&2
+ mkdir "$pathcomp" || errstatus=$?
+ fi
+
+ pathcomp="$pathcomp/"
+ done
+done
+
+exit $errstatus
+
+# mkinstalldirs ends here